Astrohas
@Astrohas
Python/Django Developer

Как добиться совместимости Ecmascript 6 с IE?

Доброго здравия уважаемые тостерчане! Есть средненький проект, написанный с использованием реакт и новейших синтаксисов этого вашего джаваскрипта. Проблема в том что все это добро абсолютно не работает на IE11. Нужно добиться ее поддержки. Перегнал через Babel с es2015, увы без исходно - синтаксис изменяется, а вот с некоторыми методами проблема - всякие Array.find и тд. Что можете посоветовать в данном случае?
  • Вопрос задан
  • 726 просмотров
Решения вопроса 3
Taraflex
@Taraflex
Ищу работу. Контакты в профиле.
https://github.com/deepsweet/autopolyfiller-loader
вместо Babel рекомендую typescript - также поддерживает обработку js кода, но на выхлопе имеем более чистый и производительный вариант. Да и компилирует быстрее.
Ответ написан
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы